Bug 1327215 (CVE-2016-3982) - CVE-2016-3982 optipng: heap buffer overflow in the bmp_rle4_fread function
Summary: CVE-2016-3982 optipng: heap buffer overflow in the bmp_rle4_fread function
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-3982
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1323936 1323937 1327221 1327222
Blocks: 1308551
TreeView+ depends on / blocked
 
Reported: 2016-04-14 13:26 UTC by Andrej Nemec
Modified: 2021-02-17 04:03 UTC (History)
3 users (show)

Fixed In Version: optipng 0.7.6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 08:18:29 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-04-14 13:26:27 UTC
Off-by-one error in the bmp_rle4_fread function in pngxrbmp.c in
OptiPNG before 0.7.6 allows remote attackers to cause a denial of
service (out-of-bounds read or write access and crash) or possibly
execute arbitrary code via a crafted image file, which triggers a
heap-based buffer overflow.

External references that includes reproducer and patch:

https://sourceforge.net/p/optipng/bugs/57/

Comment 1 Andrej Nemec 2016-04-14 13:56:49 UTC
Created optipng tracking bugs for this issue:

Affects: fedora-all [bug 1327221]
Affects: epel-all [bug 1327222]

Comment 2 Cedric Buissart 2016-07-19 08:16:41 UTC
Statement:

Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.